package jalview.ext.ensembl;

/**
 * Selected species identifiers used by Ensembl
 * 
 * @author gmcarstairs
 * @see http://rest.ensembl.org/info/species?content-type=text/xml
 */
enum Species
{
  /*
   * using any suitably readable alias as the enum name; these are all
   * valid species parameters to Ensembl REST services where applicable
   */
  human(true), mouse(true), s_cerevisiae(true), cow(false), pig(false),
  rat(true), celegans(true), sheep(false), horse(false), gorilla(false),
  rabbit(false), gibbon(false), dog(false), orangutan(false),
  xenopus(true), chimpanzee(false), cat(false), zebrafish(true), chicken(
          true), dmelanogaster(true);

  boolean modelOrganism;

  private Species(boolean model)
  {
    this.modelOrganism = model;
  }

  boolean isModelOrganism()
  {
    return modelOrganism;
  }
}
